Subject: bug#18195: 24.3.92; window-screen-lines is not accurate

From: Dmitry Gutov <[email-masked]>
Date: Wed, 06 Aug 2014 15:55:02 +0400

On 08/05/2014 05:50 PM, martin rudalics wrote:

> Overlays don't know about newlines.

We're using a multiline overlay: it both spans several lines, and its 
`before-string' property contains a multiline string when it's "on".

> I suppose the overlay starts at the
> beginning of some line after text T and has as many characters as there
> are in the text with height O.  If you want to cover any text with the
> overlay do that.

Sorry, I don't understand.

> IIUC you neither need pixels nor lines in the end result.  You just want
> to know whether a given overlay fits into a given window at a given
> position.

We don't have the overlay at that point in time yet: when it's created, 
it's constructed using the underlying buffer text, too.

Being able to just show a rectangle would require some dedicated API, 
like Eli mentioned.